1. Companies
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
      GET
    • Retrieve Companies
      GET
    • Company Financial Reports
      GET
    • Search Company Signals
      POST
    • Search Companies
      POST
    • Match Companies
      POST
    • Retrieve Company IPs
      GET
    • Add Company to Lists
      POST
    • Remove Company from Lists
      DELETE
    • Assign Tags to Company
      POST
    • Unassign Tags from Company
      DELETE
    • Estimate Company Enrichment Job
      POST
    • Create Company Enrichment Job
      POST
    • Get Company Enrichment Job Status
      GET
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • AccountV1
    • AccountSummaryV1
    • ErrorObjectV1
    • CompanyV1
    • TagV1
    • ListV1
    • VisitLocationV1
    • WebVisitV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • EnrichmentJobV1
    • BuyerPersonaV1
    • ContactV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • FindContactDataJobV1
    • CustomFieldV1
    • IpLocationV1
    • NetworkV1
    • EnrichedIpV1
    • ApiUsageV1
    • CustomFeedV1
    • CustomFeedRequestV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Companies

Search Company Signals

POST
/v1/companies/signals
Retrieve signals for a specified set of company IDs. The response returns the signals linked to the provided companies.
Credit Node: You are charged 1 credit per company if the company has signals and there was no active deep data access within the last 12 months. The number of signals returned does not affect credit usage — no additional credits are charged per signal.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Example
{
    "company_ids": [
        "159001425",
        "129011"
    ],
    "categories": [
        "business_expansion",
        "investment_activity"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leadfeeder.com/v1/companies/signals?account_id=123456&page[cursor]=WyAzNzAwMCwgIjIzNTYyMCJd&page[size]=20' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "company_ids": [
        "159001425",
        "129011"
    ],
    "categories": [
        "business_expansion",
        "investment_activity"
    ]
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "type": "signal",
            "id": "574654454",
            "attributes": {
                "category": "business_expansion",
                "signal_type": "expands_facilities",
                "title": "TS Conductor invests $134M in South Carolina for new manufacturing facility",
                "content": "B2B sales intelligence platform Dealfront has raised a €30 million investment from AshGrove Capital...",
                "event_date": "2024-12-10T15:57:25Z",
                "publication_date": "2024-11-24T11:50:00Z",
                "source_url": "https://tech.eu/2024/12/10/dealfront-secures-30m-from-ashgrove-capital-for-b2b-sales-intelligence",
                "language_code": "EN"
            },
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                }
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 0
        },
        "pagination": {
            "next_cursor": "dXNlcjpVMEc5V0ZYTlo",
            "total_count": 1450
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-05-22 11:02:07
Previous
Company Financial Reports
Next
Search Companies
Built with